#################################################
#################################################
#########    COPYRIGHT - DATA SOCIETY   #########
#################################################
#################################################

#####################################
##  WORKING WITH VARIABLES ANSWERS ##
#####################################

## NOTE: To run individual pieces of code 
## select the line of code and press ctrl + enter for Windows
## and command + enter for Macs

# Your code does not need to match up exactly - these answers
# are examples of how to execute the exercises below, but you may
# have found other ways to get the same output. 

#==================================================================================

#### Inputting variables ####

# Input the following numbers as variables. You can use either = or <-

# 1. 20 as A.

A = 20
# or
A <- 20

# 2. "Hola" as B.

B = "Hola"
# or
B <- "Hola"

# 3. TRUE as D.

D = TRUE
# or
D <- TRUE

# 4. (20 * 3) as E.

E = 20 * 3
# or
E <- 20 * 3

#### Combining variables ####


# 5. Add A and E together and assign it to variable G.

G = A + E

# 6. Multiply G by 15 and assign it to variable H.

H = G * 15

# 7. Divide H by the sum of A and E and assign it to variable I.

I = H/(A + E)

#### Assigning numbers to descriptive variables ####

# In the following exercise, we will use variables to
# find the number of people per table at a party.

# 8. Assign the number 25 to the variable 'people' 
#    and assign the number 5 to a variable 'tables'.

people = 25
tables = 5

# 9. Divide people by tables and label it as people.per.table.

people.per.table = people / tables

#### Replacing variables ####


# 10. Relabel the variable people as 45.

people = 45

# 11. Divide people by tables and label it as more.people.

more.people = people/tables

#### Operations with variables ####

# 12. Add A and H.

A + H

# 13. Subtract B from E.

E - B

# 14. Multiply A by E.

A * E

# 15. Divide H by I.

H / I

# 16. Raise H to the power of 3 and label it K.

K = H^3

# 17. Take the square root of K and label it L.

L = sqrt(K)

# 18. Multiply I by the sum of A and E. Set it equal to J.

J = (A + E) * I 

# Continue to practice operations until you feel
# comfortable in R. The only way to become truly
# proficient is to spend time coding!


